nvme_identify_ns(2)

NAME
nvme_identify_ns - Retrieves nvme identify namespace

SYNOPSIS
int nvme_identify_ns (int fd , __u32 nsid , struct nvme_id_ns *ns );

ARGUMENTS

fd  File descriptor of nvme device

nsid
    Namespace to identify

ns  User space destination address to transfer the data

DESCRIPTION
If the Namespace Identifier (NSID) field specifies an active NSID, then the Identify Namespace data structure is returned to the host for that specified namespace.

If the controller supports the Namespace Management capability and the NSID field is set to NVME_NSID_ALL, then the controller returns an Identify Namespace data structure that specifies capabilities that are common across namespaces for this controller.

See struct nvme_id_ns for details on the structure returned.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.